// -*- C++ -*-

#pragma once

#ifdef _MSC_VER
#pragma warning (push,0)
#endif



#ifdef _MSC_VER
#if _MSC_VER < 1900
#error "Unsupported MSVC version. Use Visual Studio 2015 or newer!"
#endif
#elif (__cplusplus < 201100)
#error "GOOPAX required at least C++-11 or newer. Please use a newer compiler or set the C++ standard with, e.g., '-std=c++14'"
#endif



#include "goopax/lib/clean_environment.h"
#include "goopax/proto.h"
#include "goopax/gpu_types.h"
#include "goopax/env.h"
#include "goopax/memory.h"
#include "goopax/kernel.h"
#include "goopax/gpu-utils.h"
#include "goopax/il_writer_utils.h"
#include "goopax/buffer.h"
#include "goopax/rnd.h"
#include "goopax/gpu_math.h"
#include "goopax/gpu_ostream.h"
#include "goopax/atomic.h"
#include "goopax/gather.h"
#include "goopax/vote.h"
#include "goopax/image.h"
#include "goopax/svm.h"
#include "goopax/pointer.h"
#include "goopax/struct_types2.h"



#ifdef _MSC_VER
#pragma warning (pop)
#ifdef _WIN64
#pragma comment (lib, "libgoopax64.dll.a")
#else
#pragma comment (lib, "libgoopax32.dll.a")
#endif
#endif

