#include "lib/operators.h"


/// \addtogroup cpu operators
/// These functions are defined to add CPU pendants for GPU functions, for which no CPU function is provided by standard C++.
/// \{

namespace std
{
    using goopax::impl::isnan;
    using goopax::impl::isinf;
    using goopax::impl::isfinite;
    using goopax::impl::isnormal;
    using goopax::impl::min;
    using goopax::impl::max;
    using goopax::impl::abs;
    using goopax::impl::floor;
    using goopax::impl::ceil;
    using goopax::impl::round;
    using goopax::impl::log;
    using goopax::impl::log2;
    using goopax::impl::exp2;
    using goopax::impl::sqrt;
    using goopax::impl::cbrt;
    using goopax::impl::exp;
    using goopax::impl::sin;
    using goopax::impl::cos;
    using goopax::impl::tan;
    using goopax::impl::asin;
    using goopax::impl::acos;
    using goopax::impl::atan;
    using goopax::impl::sinh;
    using goopax::impl::cosh;
    using goopax::impl::tanh;
    using goopax::impl::asinh;
    using goopax::impl::acosh;
    using goopax::impl::atanh;
    using goopax::impl::erf;
    using goopax::impl::erfc;
    using goopax::impl::tgamma;
    using goopax::impl::pow;
    
    using goopax::impl::operator *;
    using goopax::impl::operator /;
    using goopax::impl::operator +;
    using goopax::impl::operator -;
    using goopax::impl::operator >>;
    using goopax::impl::operator <<;
    using goopax::impl::operator ==;
    using goopax::impl::operator !=;
      
    using goopax::impl::operator ~;
}

/// \}
